"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ora = require("ora");
const alwaysai_user_prompted_login_component_1 = require("./alwaysai-user-prompted-login-component");
const cognito_auth_1 = require("../util/cognito-auth");
const alwayscli_1 = require("@alwaysai/alwayscli");
async function checkUserIsLoggedInComponent(props) {
    const { yes } = props;
    const spinner = ora('Check user is logged in').start();
    const cognitoUser = await cognito_auth_1.getCurrentUser();
    if (!cognitoUser) {
        if (yes) {
            spinner.fail();
            throw new alwayscli_1.TerseError('Authentication required. Please either re-run this command without the "yes" flag, or run "alwaysai user login" and try again.');
        }
        else {
            spinner.warn();
            await alwaysai_user_prompted_login_component_1.alwaysaiUserPromptedLoginComponent();
        }
    }
    else {
        spinner.succeed();
    }
}
exports.checkUserIsLoggedInComponent = checkUserIsLoggedInComponent;
//# sourceMappingURL=check-user-is-logged-in-component.js.map