"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = require("fs");
const model_package_path_1 = require("./model-package-path");
const download_model_version_package_1 = require("./download-model-version-package");
async function PackageStreamFromCache(opts) {
    const modelPackagePath = model_package_path_1.ModelPackagePath(opts);
    if (!fs_1.existsSync(modelPackagePath)) {
        await download_model_version_package_1.downloadModelVersionPackage(opts);
    }
    return fs_1.createReadStream(modelPackagePath);
}
exports.PackageStreamFromCache = PackageStreamFromCache;
//# sourceMappingURL=package-stream-from-cache.js.map