"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const alwayscli_1 = require("@alwaysai/alwayscli");
const rpc_client_1 = require("../../../rpc-client");
exports.searchModels = alwayscli_1.createLeaf({
    name: 'search',
    description: 'Search models in the alwaysAI Cloud',
    async action() {
        const rpcClient = await rpc_client_1.RpcClient();
        const modelVersions = await rpcClient.listModelVersions();
        const uniqueIds = [...new Set(modelVersions.map(({ id }) => id))];
        return uniqueIds.join('\n');
    },
});
//# sourceMappingURL=search.js.map