"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = require("path");
const alwayscli_1 = require("@alwaysai/alwayscli");
const yes_cli_input_1 = require("../../cli-inputs/yes-cli-input");
const model_config_file_1 = require("./model-config-file");
const prompt_1 = require("../../util/prompt");
const echo_1 = require("../../util/echo");
const ALREADY_EXISTS_MESSAGE = "You're already in an alwaysAI model directory!";
exports.init = alwayscli_1.createLeaf({
    name: 'init',
    description: 'Initialize this directory as an alwaysAI model',
    options: {
        yes: yes_cli_input_1.yesCliInput,
    },
    async action(_, { yes }) {
        if (!yes) {
            prompt_1.checkTerminalIsInteractive();
        }
        if (model_config_file_1.modelConfigFile.exists()) {
            if (!yes) {
                throw new alwayscli_1.TerseError(ALREADY_EXISTS_MESSAGE);
            }
            else {
                return ALREADY_EXISTS_MESSAGE;
            }
        }
        echo_1.echo('Welcome! This command will initialize this directory as an alwaysAI model.');
        echo_1.echo();
        const defaultConfig = {
            id: `alwaysai/${path_1.basename(process.cwd())}`,
            version: '0.0.0-0',
            accuracy: '',
            description: '',
            license: 'UNLICENSED',
            public: true,
        };
        model_config_file_1.modelConfigFile.write(defaultConfig);
        return `Wrote ${path_1.basename(model_config_file_1.modelConfigFile.path)}`;
    },
});
//# sourceMappingURL=init.js.map