import * as t from 'io-ts';
export declare const MODEL_CONFIG_FILE_NAME = "alwaysai.model.json";
export declare const codec: t.TypeC<{
    id: t.StringC;
    version: t.StringC;
    description: t.StringC;
    accuracy: t.StringC;
    license: t.StringC;
    public: t.BooleanC;
}>;
export declare function ModelConfigFile(dir?: string): {
    path: string;
    read: () => {
        id: string;
        version: string;
        description: string;
        accuracy: string;
        license: string;
        public: boolean;
    };
    readIfExists: () => {
        id: string;
        version: string;
        description: string;
        accuracy: string;
        license: string;
        public: boolean;
    } | undefined;
    write: (config: {
        id: string;
        version: string;
        description: string;
        accuracy: string;
        license: string;
        public: boolean;
    }) => {
        serialized: string;
        changed: boolean;
    };
    remove: () => {
        changed: boolean;
    };
    update: (updater: (config: {
        id: string;
        version: string;
        description: string;
        accuracy: string;
        license: string;
        public: boolean;
    }) => void) => {
        serialized: string;
        changed: boolean;
    };
    exists: () => boolean;
};
export declare const modelConfigFile: {
    path: string;
    read: () => {
        id: string;
        version: string;
        description: string;
        accuracy: string;
        license: string;
        public: boolean;
    };
    readIfExists: () => {
        id: string;
        version: string;
        description: string;
        accuracy: string;
        license: string;
        public: boolean;
    } | undefined;
    write: (config: {
        id: string;
        version: string;
        description: string;
        accuracy: string;
        license: string;
        public: boolean;
    }) => {
        serialized: string;
        changed: boolean;
    };
    remove: () => {
        changed: boolean;
    };
    update: (updater: (config: {
        id: string;
        version: string;
        description: string;
        accuracy: string;
        license: string;
        public: boolean;
    }) => void) => {
        serialized: string;
        changed: boolean;
    };
    exists: () => boolean;
};
//# sourceMappingURL=model-config-file.d.ts.map