"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = require("path");
const t = require("io-ts");
const config_nodejs_1 = require("@alwaysai/config-nodejs");
const cloud_api_1 = require("@alwaysai/cloud-api");
exports.MODEL_CONFIG_FILE_NAME = 'alwaysai.model.json';
const { argsCodec } = cloud_api_1.rpcMethodSpecs.createModelVersion;
const { props } = argsCodec.types[0];
exports.codec = t.type(props);
const ENOENT = {
    message: `${exports.MODEL_CONFIG_FILE_NAME} not found. Did you run "alwaysai model init"?`,
    code: 'TERSE',
};
function ModelConfigFile(dir = process.cwd()) {
    const path = path_1.join(dir, exports.MODEL_CONFIG_FILE_NAME);
    const configFile = config_nodejs_1.ConfigFile({ path, codec: exports.codec, ENOENT });
    return configFile;
}
exports.ModelConfigFile = ModelConfigFile;
exports.modelConfigFile = ModelConfigFile();
//# sourceMappingURL=model-config-file.js.map