"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = require("path");
const t = require("io-ts");
const c = require("@alwaysai/codecs");
const config_nodejs_1 = require("@alwaysai/config-nodejs");
const alwayscli_1 = require("@alwaysai/alwayscli");
const constants_1 = require("../constants");
const props = {
    systemId: c.systemId,
};
const codec = t.partial(props);
const FILE_NAME = 'alwaysai.cli.json';
const path = path_1.join(config_nodejs_1.ALWAYSAI_CONFIG_DIR, FILE_NAME);
exports.cliConfigFile = config_nodejs_1.ConfigFile({
    path,
    codec,
    ENOENT: {
        code: alwayscli_1.TERSE,
        message: `File not found. Run "${constants_1.CLI_NAME} config set" to set configuration values.`,
    },
    initialValue: {},
});
const maybeConfig = exports.cliConfigFile.readIfExists();
const systemId = maybeConfig && maybeConfig.systemId ? maybeConfig.systemId : 'production';
let domainName;
switch (systemId) {
    case 'local': {
        exports.userPoolId = 'us-west-2_1qn5QzXzP';
        exports.userPoolClientId = '3mot5qlvchlui2mqs803fccbvm';
        domainName = 'a6i0.net';
        exports.cloudApiUrl = 'http://localhost:8000';
        exports.s3Credentials =
            'eyJhY2Nlc3NLZXlJZCI6IkFLSUE2UERXNFJHNE9KTkNLUEdCIiwic2VjcmV0QWNjZXNzS2V5IjoiSmt0QWttUVhKU1ppdGlucjZQZGw1VGIyOXIvWEltVHFSVXUzcDErZyJ9';
        break;
    }
    case 'development': {
        exports.userPoolId = 'us-west-2_1qn5QzXzP';
        exports.userPoolClientId = '3mot5qlvchlui2mqs803fccbvm';
        domainName = 'a6i0.net';
        exports.cloudApiUrl = `https://api.${domainName}`;
        exports.s3Credentials =
            'eyJhY2Nlc3NLZXlJZCI6IkFLSUE2UERXNFJHNE9KTkNLUEdCIiwic2VjcmV0QWNjZXNzS2V5IjoiSmt0QWttUVhKU1ppdGlucjZQZGw1VGIyOXIvWEltVHFSVXUzcDErZyJ9';
        break;
    }
    case 'production': {
        exports.userPoolId = 'us-west-2_4GY5EITYm';
        exports.userPoolClientId = '2mm3lcucrf53da27mjs5p5ei47';
        domainName = 'alwaysai.co';
        exports.cloudApiUrl = `https://api.${domainName}`;
        exports.s3Credentials =
            'eyJhY2Nlc3NLZXlJZCI6IkFLSUE1WUhIUVRLQ1kyRERDMzc2Iiwic2VjcmV0QWNjZXNzS2V5IjoiOU4vUlpCQVpQOEZIL0cvN1ZuNVBHeG0vc09Nb1BsMUlMeGU0SjZQUiJ9';
        break;
    }
    default: {
        throw new Error('Unsupported systemId');
    }
}
exports.webAuthUrl = `https://auth.${domainName}&redirect_uri=https://dashboard.${domainName}`;
//# sourceMappingURL=cli-config.js.map